root/foundation-apps/grosview-maxx/config.status

Revision 2, 22.5 KB (checked in by emasson, 3 years ago)

initial import for the community edition

Line 
1#! /bin/sh
2# Generated by configure.
3# Run this file to recreate the current configuration.
4# Compiler output produced by configure, useful for debugging
5# configure, is in config.log if it exists.
6
7debug=false
8ac_cs_recheck=false
9ac_cs_silent=false
10SHELL=${CONFIG_SHELL-/bin/sh}
11## --------------------- ##
12## M4sh Initialization.  ##
13## --------------------- ##
14
15# Be Bourne compatible
16if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
17  emulate sh
18  NULLCMD=:
19  # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
20  # is contrary to our usage.  Disable this feature.
21  alias -g '${1+"$@"}'='"$@"'
22elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
23  set -o posix
24fi
25DUALCASE=1; export DUALCASE # for MKS sh
26
27# Support unset when possible.
28if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
29  as_unset=unset
30else
31  as_unset=false
32fi
33
34
35# Work around bugs in pre-3.0 UWIN ksh.
36$as_unset ENV MAIL MAILPATH
37PS1='$ '
38PS2='> '
39PS4='+ '
40
41# NLS nuisances.
42for as_var in \
43  LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
44  LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
45  LC_TELEPHONE LC_TIME
46do
47  if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
48    eval $as_var=C; export $as_var
49  else
50    $as_unset $as_var
51  fi
52done
53
54# Required to use basename.
55if expr a : '\(a\)' >/dev/null 2>&1; then
56  as_expr=expr
57else
58  as_expr=false
59fi
60
61if (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" = "X/"; then
62  as_basename=basename
63else
64  as_basename=false
65fi
66
67
68# Name of the executable.
69as_me=`$as_basename "$0" ||
70$as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
71         X"$0" : 'X\(//\)$' \| \
72         X"$0" : 'X\(/\)$' \| \
73         .     : '\(.\)' 2>/dev/null ||
74echo X/"$0" |
75    sed '/^.*\/\([^/][^/]*\)\/*$/{ s//\1/; q; }
76          /^X\/\(\/\/\)$/{ s//\1/; q; }
77          /^X\/\(\/\).*/{ s//\1/; q; }
78          s/.*/./; q'`
79
80
81# PATH needs CR, and LINENO needs CR and PATH.
82# Avoid depending upon Character Ranges.
83as_cr_letters='abcdefghijklmnopqrstuvwxyz'
84as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
85as_cr_Letters=$as_cr_letters$as_cr_LETTERS
86as_cr_digits='0123456789'
87as_cr_alnum=$as_cr_Letters$as_cr_digits
88
89# The user is always right.
90if test "${PATH_SEPARATOR+set}" != set; then
91  echo "#! /bin/sh" >conf$$.sh
92  echo  "exit 0"   >>conf$$.sh
93  chmod +x conf$$.sh
94  if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
95    PATH_SEPARATOR=';'
96  else
97    PATH_SEPARATOR=:
98  fi
99  rm -f conf$$.sh
100fi
101
102
103  as_lineno_1=$LINENO
104  as_lineno_2=$LINENO
105  as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
106  test "x$as_lineno_1" != "x$as_lineno_2" &&
107  test "x$as_lineno_3"  = "x$as_lineno_2"  || {
108  # Find who we are.  Look in the path if we contain no path at all
109  # relative or not.
110  case $0 in
111    *[\\/]* ) as_myself=$0 ;;
112    *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
113for as_dir in $PATH
114do
115  IFS=$as_save_IFS
116  test -z "$as_dir" && as_dir=.
117  test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
118done
119
120       ;;
121  esac
122  # We did not find ourselves, most probably we were run as `sh COMMAND'
123  # in which case we are not to be found in the path.
124  if test "x$as_myself" = x; then
125    as_myself=$0
126  fi
127  if test ! -f "$as_myself"; then
128    { { echo "$as_me:$LINENO: error: cannot find myself; rerun with an absolute path" >&5
129echo "$as_me: error: cannot find myself; rerun with an absolute path" >&2;}
130   { (exit 1); exit 1; }; }
131  fi
132  case $CONFIG_SHELL in
133  '')
134    as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
135for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
136do
137  IFS=$as_save_IFS
138  test -z "$as_dir" && as_dir=.
139  for as_base in sh bash ksh sh5; do
140         case $as_dir in
141         /*)
142           if ("$as_dir/$as_base" -c '
143  as_lineno_1=$LINENO
144  as_lineno_2=$LINENO
145  as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
146  test "x$as_lineno_1" != "x$as_lineno_2" &&
147  test "x$as_lineno_3"  = "x$as_lineno_2" ') 2>/dev/null; then
148             $as_unset BASH_ENV || test "${BASH_ENV+set}" != set || { BASH_ENV=; export BASH_ENV; }
149             $as_unset ENV || test "${ENV+set}" != set || { ENV=; export ENV; }
150             CONFIG_SHELL=$as_dir/$as_base
151             export CONFIG_SHELL
152             exec "$CONFIG_SHELL" "$0" ${1+"$@"}
153           fi;;
154         esac
155       done
156done
157;;
158  esac
159
160  # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
161  # uniformly replaced by the line number.  The first 'sed' inserts a
162  # line-number line before each line; the second 'sed' does the real
163  # work.  The second script uses 'N' to pair each line-number line
164  # with the numbered line, and appends trailing '-' during
165  # substitution so that $LINENO is not a special case at line end.
166  # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
167  # second 'sed' script.  Blame Lee E. McMahon for sed's syntax.  :-)
168  sed '=' <$as_myself |
169    sed '
170      N
171      s,$,-,
172      : loop
173      s,^\(['$as_cr_digits']*\)\(.*\)[$]LINENO\([^'$as_cr_alnum'_]\),\1\2\1\3,
174      t loop
175      s,-$,,
176      s,^['$as_cr_digits']*\n,,
177    ' >$as_me.lineno &&
178  chmod +x $as_me.lineno ||
179    { { echo "$as_me:$LINENO: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&5
180echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2;}
181   { (exit 1); exit 1; }; }
182
183  # Don't try to exec as it changes $[0], causing all sort of problems
184  # (the dirname of $[0] is not the place where we might find the
185  # original and so on.  Autoconf is especially sensible to this).
186  . ./$as_me.lineno
187  # Exit status is that of the last command.
188  exit
189}
190
191
192case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
193  *c*,-n*) ECHO_N= ECHO_C='
194' ECHO_T='      ' ;;
195  *c*,*  ) ECHO_N=-n ECHO_C= ECHO_T= ;;
196  *)       ECHO_N= ECHO_C='\c' ECHO_T= ;;
197esac
198
199if expr a : '\(a\)' >/dev/null 2>&1; then
200  as_expr=expr
201else
202  as_expr=false
203fi
204
205rm -f conf$$ conf$$.exe conf$$.file
206echo >conf$$.file
207if ln -s conf$$.file conf$$ 2>/dev/null; then
208  # We could just check for DJGPP; but this test a) works b) is more generic
209  # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
210  if test -f conf$$.exe; then
211    # Don't use ln at all; we don't have any links
212    as_ln_s='cp -p'
213  else
214    as_ln_s='ln -s'
215  fi
216elif ln conf$$.file conf$$ 2>/dev/null; then
217  as_ln_s=ln
218else
219  as_ln_s='cp -p'
220fi
221rm -f conf$$ conf$$.exe conf$$.file
222
223if mkdir -p . 2>/dev/null; then
224  as_mkdir_p=:
225else
226  test -d ./-p && rmdir ./-p
227  as_mkdir_p=false
228fi
229
230as_executable_p="test -f"
231
232# Sed expression to map a string onto a valid CPP name.
233as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
234
235# Sed expression to map a string onto a valid variable name.
236as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
237
238
239# IFS
240# We need space, tab and new line, in precisely that order.
241as_nl='
242'
243IFS="   $as_nl"
244
245# CDPATH.
246$as_unset CDPATH
247
248exec 6>&1
249
250# Open the log real soon, to keep \$[0] and so on meaningful, and to
251# report actual input values of CONFIG_FILES etc. instead of their
252# values after options handling.  Logging --version etc. is OK.
253exec 5>>config.log
254{
255  echo
256  sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
257## Running $as_me. ##
258_ASBOX
259} >&5
260cat >&5 <<_CSEOF
261
262This file was extended by $as_me, which was
263generated by GNU Autoconf 2.59.  Invocation command line was
264
265  CONFIG_FILES    = $CONFIG_FILES
266  CONFIG_HEADERS  = $CONFIG_HEADERS
267  CONFIG_LINKS    = $CONFIG_LINKS
268  CONFIG_COMMANDS = $CONFIG_COMMANDS
269  $ $0 $@
270
271_CSEOF
272echo "on `(hostname || uname -n) 2>/dev/null | sed 1q`" >&5
273echo >&5
274config_files=" Makefile:config/Makefile.top.in linux/Makefile:config/Makefile.linux.in Makefile.config:config/Makefile.config.in Makefile.GNU.autodep:config/Makefile.GNU.autodep.in Xdefaults:Xdefaults.in    linux/memstat/Makefile:config/Makefile.linux.memstat.in"
275
276ac_cs_usage="\
277\`$as_me' instantiates files from templates according to the
278current configuration.
279
280Usage: $0 [OPTIONS] [FILE]...
281
282  -h, --help       print this help, then exit
283  -V, --version    print version number, then exit
284  -q, --quiet      do not print progress messages
285  -d, --debug      don't remove temporary files
286      --recheck    update $as_me by reconfiguring in the same conditions
287  --file=FILE[:TEMPLATE]
288                   instantiate the configuration file FILE
289
290Configuration files:
291$config_files
292
293Report bugs to <bug-autoconf@gnu.org>."
294ac_cs_version="\
295config.status
296configured by ./configure, generated by GNU Autoconf 2.59,
297  with options \"\"
298
299Copyright (C) 2003 Free Software Foundation, Inc.
300This config.status script is free software; the Free Software Foundation
301gives unlimited permission to copy, distribute and modify it."
302srcdir=.
303INSTALL="/usr/bin/install -c"
304# If no file are specified by the user, then we need to provide default
305# value.  By we need to know if files were specified by the user.
306ac_need_defaults=:
307while test $# != 0
308do
309  case $1 in
310  --*=*)
311    ac_option=`expr "x$1" : 'x\([^=]*\)='`
312    ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
313    ac_shift=:
314    ;;
315  -*)
316    ac_option=$1
317    ac_optarg=$2
318    ac_shift=shift
319    ;;
320  *) # This is not an option, so the user has probably given explicit
321     # arguments.
322     ac_option=$1
323     ac_need_defaults=false;;
324  esac
325
326  case $ac_option in
327  # Handling of the options.
328  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
329    ac_cs_recheck=: ;;
330  --version | --vers* | -V )
331    echo "$ac_cs_version"; exit 0 ;;
332  --he | --h)
333    # Conflict between --help and --header
334    { { echo "$as_me:$LINENO: error: ambiguous option: $1
335Try \`$0 --help' for more information." >&5
336echo "$as_me: error: ambiguous option: $1
337Try \`$0 --help' for more information." >&2;}
338   { (exit 1); exit 1; }; };;
339  --help | --hel | -h )
340    echo "$ac_cs_usage"; exit 0 ;;
341  --debug | --d* | -d )
342    debug=: ;;
343  --file | --fil | --fi | --f )
344    $ac_shift
345    CONFIG_FILES="$CONFIG_FILES $ac_optarg"
346    ac_need_defaults=false;;
347  --header | --heade | --head | --hea )
348    $ac_shift
349    CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
350    ac_need_defaults=false;;
351  -q | -quiet | --quiet | --quie | --qui | --qu | --q \
352  | -silent | --silent | --silen | --sile | --sil | --si | --s)
353    ac_cs_silent=: ;;
354
355  # This is an error.
356  -*) { { echo "$as_me:$LINENO: error: unrecognized option: $1
357Try \`$0 --help' for more information." >&5
358echo "$as_me: error: unrecognized option: $1
359Try \`$0 --help' for more information." >&2;}
360   { (exit 1); exit 1; }; } ;;
361
362  *) ac_config_targets="$ac_config_targets $1" ;;
363
364  esac
365  shift
366done
367
368ac_configure_extra_args=
369
370if $ac_cs_silent; then
371  exec 6>/dev/null
372  ac_configure_extra_args="$ac_configure_extra_args --silent"
373fi
374
375if $ac_cs_recheck; then
376  echo "running /bin/sh ./configure "  $ac_configure_extra_args " --no-create --no-recursion" >&6
377  exec /bin/sh ./configure  $ac_configure_extra_args --no-create --no-recursion
378fi
379
380for ac_config_target in $ac_config_targets
381do
382  case "$ac_config_target" in
383  # Handling of arguments.
384  "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile:config/Makefile.top.in" ;;
385  "$host_dir/Makefile" ) CONFIG_FILES="$CONFIG_FILES $host_dir/Makefile:config/Makefile.$host_dir.in" ;;
386  "Makefile.config" ) CONFIG_FILES="$CONFIG_FILES Makefile.config:config/Makefile.config.in" ;;
387  "Makefile.GNU.autodep" ) CONFIG_FILES="$CONFIG_FILES Makefile.GNU.autodep:config/Makefile.GNU.autodep.in" ;;
388  "Xdefaults" ) CONFIG_FILES="$CONFIG_FILES Xdefaults:Xdefaults.in" ;;
389  "$EXTRA_OUT_FILES" ) CONFIG_FILES="$CONFIG_FILES $EXTRA_OUT_FILES" ;;
390  *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
391echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
392   { (exit 1); exit 1; }; };;
393  esac
394done
395
396# If the user did not use the arguments to specify the items to instantiate,
397# then the envvar interface is used.  Set only those that are not.
398# We use the long form for the default assignment because of an extremely
399# bizarre bug on SunOS 4.1.3.
400if $ac_need_defaults; then
401  test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
402fi
403
404# Have a temporary directory for convenience.  Make it in the build tree
405# simply because there is no reason to put it here, and in addition,
406# creating and moving files from /tmp can sometimes cause problems.
407# Create a temporary directory, and hook for its removal unless debugging.
408$debug ||
409{
410  trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
411  trap '{ (exit 1); exit 1; }' 1 2 13 15
412}
413
414# Create a (secure) tmp directory for tmp files.
415
416{
417  tmp=`(umask 077 && mktemp -d -q "./confstatXXXXXX") 2>/dev/null` &&
418  test -n "$tmp" && test -d "$tmp"
419}  ||
420{
421  tmp=./confstat$$-$RANDOM
422  (umask 077 && mkdir $tmp)
423} ||
424{
425   echo "$me: cannot create a temporary directory in ." >&2
426   { (exit 1); exit 1; }
427}
428
429
430#
431# CONFIG_FILES section.
432#
433
434# No need to generate the scripts if there are no CONFIG_FILES.
435# This happens for instance when ./config.status config.h
436if test -n "$CONFIG_FILES"; then
437  # Protect against being on the right side of a sed subst in config.status.
438  sed 's/,@/@@/; s/@,/@@/; s/,;t t$/@;t t/; /@;t t$/s/[\\&,]/\\&/g;
439   s/@@/,@/; s/@@/@,/; s/@;t t$/,;t t/' >$tmp/subs.sed <<\CEOF
440s,@SHELL@,/bin/sh,;t t
441s,@PATH_SEPARATOR@,:,;t t
442s,@PACKAGE_NAME@,,;t t
443s,@PACKAGE_TARNAME@,,;t t
444s,@PACKAGE_VERSION@,,;t t
445s,@PACKAGE_STRING@,,;t t
446s,@PACKAGE_BUGREPORT@,,;t t
447s,@exec_prefix@,${prefix},;t t
448s,@prefix@,/usr/X11R6,;t t
449s,@program_transform_name@,s,x,x,,;t t
450s,@bindir@,${exec_prefix}/bin,;t t
451s,@sbindir@,${exec_prefix}/sbin,;t t
452s,@libexecdir@,${exec_prefix}/libexec,;t t
453s,@datadir@,${prefix}/share,;t t
454s,@sysconfdir@,${prefix}/etc,;t t
455s,@sharedstatedir@,${prefix}/com,;t t
456s,@localstatedir@,${prefix}/var,;t t
457s,@libdir@,${exec_prefix}/lib,;t t
458s,@includedir@,${prefix}/include,;t t
459s,@oldincludedir@,/usr/include,;t t
460s,@infodir@,${prefix}/info,;t t
461s,@mandir@,${prefix}/man,;t t
462s,@build_alias@,,;t t
463s,@host_alias@,,;t t
464s,@target_alias@,,;t t
465s,@DEFS@,-DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DHAVE_BOOL=1 -DLONG_LONG=long\ long -DHAVE_SNPRINTF=1 -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_IOSTREAM=1 -DHAVE_FSTREAM=1 -DHAVE_XPM=1 -DGNULIBC=1 -DUSESYSCALLS=1 -DHAVE_USLEEP=1 ,;t t
466s,@ECHO_C@,,;t t
467s,@ECHO_N@,-n,;t t
468s,@ECHO_T@,,;t t
469s,@LIBS@,-L/usr/X11R6/lib64 ,;t t
470s,@TOP_SRCDIR@,/home/emasson/MaXX-Interactive-SLED/MaXX/Src/Apps/gr_osview-1.8.4,;t t
471s,@build@,x86_64-unknown-linux-gnu,;t t
472s,@build_cpu@,x86_64,;t t
473s,@build_vendor@,unknown,;t t
474s,@build_os@,linux-gnu,;t t
475s,@host@,x86_64-unknown-linux-gnu,;t t
476s,@host_cpu@,x86_64,;t t
477s,@host_vendor@,unknown,;t t
478s,@host_os@,linux,;t t
479s,@CXX@,g++,;t t
480s,@CXXFLAGS@,-g -O2 -I/usr/X11R6/include,;t t
481s,@LDFLAGS@,,;t t
482s,@CPPFLAGS@,-I /usr/X11R6/include,;t t
483s,@ac_ct_CXX@,g++,;t t
484s,@EXEEXT@,,;t t
485s,@OBJEXT@,o,;t t
486s,@CC@,gcc,;t t
487s,@CFLAGS@,-g -O2,;t t
488s,@ac_ct_CC@,gcc,;t t
489s,@CPP@,gcc -E,;t t
490s,@x_includes@,/usr/X11R6/include,;t t
491s,@x_libraries@,/usr/X11R6/lib64,;t t
492s,@INSTALL_PROGRAM@,${INSTALL},;t t
493s,@INSTALL_SCRIPT@,${INSTALL},;t t
494s,@INSTALL_DATA@,${INSTALL} -m 644,;t t
495s,@AWK@,gawk,;t t
496s,@RANLIB@,ranlib,;t t
497s,@ac_ct_RANLIB@,ranlib,;t t
498s,@AUTODEPRULE@,\
499##  Autodepend rule defaults to disabled.\
500#-include Makefile.GNU.autodep,;t t
501s,@AUTODEPRULE_SUBDIR@,\
502##  Autodepend rule defaults to disabled.\
503#-include ../Makefile.GNU.autodep,;t t
504s,@AUTODEPEND@,,;t t
505s,@CPP_DEP@,,;t t
506s,@CXXCPP@,g++ -E,;t t
507s,@EGREP@,grep -E,;t t
508s,@LINUX_SMP@,,;t t
509s,@BTRYMETER@,,;t t
510s,@EXTRA_CXXFLAGS@,-Wall -O4,;t t
511s,@EXTRALIBS@,-lXpm,;t t
512s,@ELF_LINK_FLAGS@,,;t t
513s,@INSTALL_ARGS@,-m 755,;t t
514s,@MEMSTAT@,,;t t
515s,@LVERSION@,2.6,;t t
516s,@USE_MOD_VERSIONS@,,;t t
517s,@host_dir@,linux,;t t
518s,@NetMeter_Default_Setting@,False,;t t
519s,@LIBOBJS@,,;t t
520s,@LTLIBOBJS@,,;t t
521CEOF
522
523  # Split the substitutions into bite-sized pieces for seds with
524  # small command number limits, like on Digital OSF/1 and HP-UX.
525  ac_max_sed_lines=48
526  ac_sed_frag=1 # Number of current file.
527  ac_beg=1 # First line for current file.
528  ac_end=$ac_max_sed_lines # Line after last line for current file.
529  ac_more_lines=:
530  ac_sed_cmds=
531  while $ac_more_lines; do
532    if test $ac_beg -gt 1; then
533      sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
534    else
535      sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
536    fi
537    if test ! -s $tmp/subs.frag; then
538      ac_more_lines=false
539    else
540      # The purpose of the label and of the branching condition is to
541      # speed up the sed processing (if there are no `@' at all, there
542      # is no need to browse any of the substitutions).
543      # These are the two extra sed commands mentioned above.
544      (echo ':t
545  /@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) >$tmp/subs-$ac_sed_frag.sed
546      if test -z "$ac_sed_cmds"; then
547        ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
548      else
549        ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
550      fi
551      ac_sed_frag=`expr $ac_sed_frag + 1`
552      ac_beg=$ac_end
553      ac_end=`expr $ac_end + $ac_max_sed_lines`
554    fi
555  done
556  if test -z "$ac_sed_cmds"; then
557    ac_sed_cmds=cat
558  fi
559fi # test -n "$CONFIG_FILES"
560
561for ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue
562  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
563  case $ac_file in
564  - | *:- | *:-:* ) # input from stdin
565        cat >$tmp/stdin
566        ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
567        ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
568  *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
569        ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
570  * )   ac_file_in=$ac_file.in ;;
571  esac
572
573  # Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirectories.
574  ac_dir=`(dirname "$ac_file") 2>/dev/null ||
575$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
576         X"$ac_file" : 'X\(//\)[^/]' \| \
577         X"$ac_file" : 'X\(//\)$' \| \
578         X"$ac_file" : 'X\(/\)' \| \
579         .     : '\(.\)' 2>/dev/null ||
580echo X"$ac_file" |
581    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
582          /^X\(\/\/\)[^/].*/{ s//\1/; q; }
583          /^X\(\/\/\)$/{ s//\1/; q; }
584          /^X\(\/\).*/{ s//\1/; q; }
585          s/.*/./; q'`
586  { if $as_mkdir_p; then
587    mkdir -p "$ac_dir"
588  else
589    as_dir="$ac_dir"
590    as_dirs=
591    while test ! -d "$as_dir"; do
592      as_dirs="$as_dir $as_dirs"
593      as_dir=`(dirname "$as_dir") 2>/dev/null ||
594$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
595         X"$as_dir" : 'X\(//\)[^/]' \| \
596         X"$as_dir" : 'X\(//\)$' \| \
597         X"$as_dir" : 'X\(/\)' \| \
598         .     : '\(.\)' 2>/dev/null ||
599echo X"$as_dir" |
600    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
601          /^X\(\/\/\)[^/].*/{ s//\1/; q; }
602          /^X\(\/\/\)$/{ s//\1/; q; }
603          /^X\(\/\).*/{ s//\1/; q; }
604          s/.*/./; q'`
605    done
606    test ! -n "$as_dirs" || mkdir $as_dirs
607  fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
608echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
609   { (exit 1); exit 1; }; }; }
610
611  ac_builddir=.
612
613if test "$ac_dir" != .; then
614  ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
615  # A "../" for each directory in $ac_dir_suffix.
616  ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
617else
618  ac_dir_suffix= ac_top_builddir=
619fi
620
621case $srcdir in
622  .)  # No --srcdir option.  We are building in place.
623    ac_srcdir=.
624    if test -z "$ac_top_builddir"; then
625       ac_top_srcdir=.
626    else
627       ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
628    fi ;;
629  [\\/]* | ?:[\\/]* )  # Absolute path.
630    ac_srcdir=$srcdir$ac_dir_suffix;
631    ac_top_srcdir=$srcdir ;;
632  *) # Relative path.
633    ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
634    ac_top_srcdir=$ac_top_builddir$srcdir ;;
635esac
636
637# Do not use `cd foo && pwd` to compute absolute paths, because
638# the directories may not exist.
639case `pwd` in
640.) ac_abs_builddir="$ac_dir";;
641*)
642  case "$ac_dir" in
643  .) ac_abs_builddir=`pwd`;;
644  [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
645  *) ac_abs_builddir=`pwd`/"$ac_dir";;
646  esac;;
647esac
648case $ac_abs_builddir in
649.) ac_abs_top_builddir=${ac_top_builddir}.;;
650*)
651  case ${ac_top_builddir}. in
652  .) ac_abs_top_builddir=$ac_abs_builddir;;
653  [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
654  *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
655  esac;;
656esac
657case $ac_abs_builddir in
658.) ac_abs_srcdir=$ac_srcdir;;
659*)
660  case $ac_srcdir in
661  .) ac_abs_srcdir=$ac_abs_builddir;;
662  [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
663  *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
664  esac;;
665esac
666case $ac_abs_builddir in
667.) ac_abs_top_srcdir=$ac_top_srcdir;;
668*)
669  case $ac_top_srcdir in
670  .) ac_abs_top_srcdir=$ac_abs_builddir;;
671  [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
672  *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
673  esac;;
674esac
675
676
677  case $INSTALL in
678  [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
679  *) ac_INSTALL=$ac_top_builddir$INSTALL ;;
680  esac
681
682  if test x"$ac_file" != x-; then
683    { echo "$as_me:$LINENO: creating $ac_file" >&5
684echo "$as_me: creating $ac_file" >&6;}
685    rm -f "$ac_file"
686  fi
687  # Let's still pretend it is `configure' which instantiates (i.e., don't
688  # use $as_me), people would be surprised to read:
689  #    /* config.h.  Generated by config.status.  */
690  if test x"$ac_file" = x-; then
691    configure_input=
692  else
693    configure_input="$ac_file.  "
694  fi
695  configure_input=$configure_input"Generated from `echo $ac_file_in |
696                                     sed 's,.*/,,'` by configure."
697
698  # First look for the input files in the build tree, otherwise in the
699  # src tree.
700  ac_file_inputs=`IFS=:
701    for f in $ac_file_in; do
702      case $f in
703      -) echo $tmp/stdin ;;
704      [\\/$]*)
705         # Absolute (can't be DOS-style, as IFS=:)
706         test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
707echo "$as_me: error: cannot find input file: $f" >&2;}
708   { (exit 1); exit 1; }; }
709         echo "$f";;
710      *) # Relative
711         if test -f "$f"; then
712           # Build tree
713           echo "$f"
714         elif test -f "$srcdir/$f"; then
715           # Source tree
716           echo "$srcdir/$f"
717         else
718           # /dev/null tree
719           { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
720echo "$as_me: error: cannot find input file: $f" >&2;}
721   { (exit 1); exit 1; }; }
722         fi;;
723      esac
724    done` || { (exit 1); exit 1; }
725  sed "/^[       ]*VPATH[        ]*=/{
726s/:*\$(srcdir):*/:/;
727s/:*\${srcdir}:*/:/;
728s/:*@srcdir@:*/:/;
729s/^\([^=]*=[     ]*\):*/\1/;
730s/:*$//;
731s/^[^=]*=[       ]*$//;
732}
733
734:t
735/@[a-zA-Z_][a-zA-Z_0-9]*@/!b
736s,@configure_input@,$configure_input,;t t
737s,@srcdir@,$ac_srcdir,;t t
738s,@abs_srcdir@,$ac_abs_srcdir,;t t
739s,@top_srcdir@,$ac_top_srcdir,;t t
740s,@abs_top_srcdir@,$ac_abs_top_srcdir,;t t
741s,@builddir@,$ac_builddir,;t t
742s,@abs_builddir@,$ac_abs_builddir,;t t
743s,@top_builddir@,$ac_top_builddir,;t t
744s,@abs_top_builddir@,$ac_abs_top_builddir,;t t
745s,@INSTALL@,$ac_INSTALL,;t t
746" $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
747  rm -f $tmp/stdin
748  if test x"$ac_file" != x-; then
749    mv $tmp/out $ac_file
750  else
751    cat $tmp/out
752    rm -f $tmp/out
753  fi
754
755done
756
757{ (exit 0); exit 0; }
Note: See TracBrowser for help on using the browser.